# CreateCluster

Creates a cluster from a stand-alone database.
Copies a database to another location if required.

Methods
static void | main(String... args) Options are case sensitive.

static void

main(String... args) throws SQLException
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-urlSource "<url>"] | The database URL of the source database (jdbc:h2:...)
[-urlTarget "<url>"] | The database URL of the target database (jdbc:h2:...)
[-user <user>] | The user name (default: sa)
[-password <pwd>] | The password
[-serverList <list>] | The comma separated list of host names or IP addresses

Parameters:
args - the command line arguments

void | execute(String urlSource, String urlTarget, String user, String password, String serverList) Creates a cluster.
void | execute(String urlSource, String urlTarget, String user, String password, String serverList) throws SQLException Creates a cluster. Parameters: urlSource - the database URL of the original database urlTarget - the database URL of the copy user - the user name password - the password serverList - the server list
void | runTool(String... args)
void | runTool(String... args) throws SQLException